package be.iminds.ilabt.jfed.rspec.model.imutable_impl;

import be.iminds.ilabt.jfed.rspec.model.DistributeSshKeypair;
import be.iminds.ilabt.jfed.util.common.GeniUrn;

import java.util.Objects;

public class ImmutableDistributeSshKeypair implements DistributeSshKeypair {
    private final String location;
    private final GeniUrn user;

    public ImmutableDistributeSshKeypair(DistributeSshKeypair orig){
        this.location = orig.getLocation();
        this.user = orig.getUser();
    }

    public String getLocation() {
        return location;
    }

    public GeniUrn getUser() {
        return user;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        ImmutableDistributeSshKeypair that = (ImmutableDistributeSshKeypair) o;

        if (location != null ? !Objects.equals(location, that.location) : that.location != null) return false;
        return user != null ? Objects.equals(user, that.user) : that.user == null;

    }

    @Override
    public int hashCode() {
        int result = location != null ? location.hashCode() : 0;
        result = 31 * result + (user != null ? user.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return "ImmutableDistributeSshKeypair{" +
                "location='" + location + '\'' +
                ", user=" + user +
                '}';
    }
}
